/*
 * commands.h
 *
 * Copyright 2000, Chris Pinkham.
 * All Rights Reserved.
 */


#ifndef _YAHOOCHAT_H_
#define _YAHOOCHAT_H_

#include <sys/types.h>

/* OUTgoing packet types */
#define PKT_OUT_CONNECT		0x01
#define PKT_OUT_INVITE		0x17
#define PKT_OUT_GOTO		0x25
#define PKT_OUT_THINK		0x42
#define PKT_OUT_EMOTE		0x43
#define PKT_OUT_PING		0x62
#define PKT_OUT_TEXT		0x71

extern char *yahoo_status[];

u_char *create_yahoo_header( u_char *buf, u_long pkt_type );
u_char *append_str( u_char *ptr, u_char *str );
void send_yahoo_text_command( char *cmd, char *txt );
void send_yahoo_packet( u_char *buf, u_char *end );


#endif /* #ifndef _YAHOOCHAT_H_ */
